QGIS Application - Bug report #15315
DB-Manager Import Double
2016-07-20 07:47 AM - Mo Scott

Status: Closed

Priority: Severe/Regression
Assignee:

Category: DB Manager

Affected QGIS version:2.16.0
Operating System: Ubuntu
Pull Request or Patch supplied:
Crashes QGIS or corrupls data:

Regression?: No
Easy fix?: No
Resolution: worksforme

Copied to github as #: 23247

Description

The import of shapefiles containing double-values (might only be if Value >9) into a PostGis-DB fails under QGis version 2.16 on Ubuntu
14.04 although it is possible in version 2.14. I'm sorry | don't have the exact Error message (downgraded already) but it says something
about numeric(19,18) can not contain values bigger 10. The Table is createt with the columns where there should be double specified to

numeric(19,18). In Qgis 2.14 the same columns are createt as numeric without spesification.

Hope this helps and can be resolved.

History

#1 - 2016-08-03 02:01 AM - Goyo D

It is true that numeric(19,18) can not contain values bigger than 10 so | do not think this is a bug.

#2 - 2016-08-03 02:04 AM - Goyo D

Uh, sorry. | think | misunderstood the issue.

#3 - 2016-08-22 02:43 AM - Mo Scott

Hi Goyo D,

yes, I'm sorry | was a bit unclear. | hope one can still understand the issue: it should be possible to import numeric values from a shapefile but it is not

because the columns in the DB are initiated in the wrong format.

| am a bit concerned that this topic gets no attention because it made the plugin unusable for me and | had to downgrade. Does it really affect only me?

Greetings

#4 - 2017-02-04 02:50 AM - Giovanni Manghi

- Priority changed from Normal to High

#5 - 2017-03-07 05:29 AM - Giovanni Manghi
- Priority changed from High to Normal

- Crashes QGIS or corrupts data changed from Yes to No

- Status changed from Open to Feedback

This would eventually configure as regression, especially if still confirmed on 2.18.4
Can you please attach sample data? Thanks.

#6 - 2017-03-07 05:29 AM - Giovanni Manghi
- Priority changed from Normal to Severe/Regression

#7 - 2017-03-09 03:10 AM - Mo Scott
- File qgisTest.zip added

I'm sorry, | neither have a Postgis-DB nor a QGIS-Installation version higher 2.14 at hand to do some testing. As this thread is older, also the Data that
created the bug is gone.

But | have created a sampledataset that should be be capable of creating the error, if it still exists. | hope it will help.

Greetings

#8 - 2017-03-09 03:15 AM - Giovanni Manghi

Mo Scott wrote:
I'm sorry, | neither have a Postgis-DB nor a QGIS-Installation version higher 2.14 at hand to do some testing. As this thread is older, also the Data
that created the bug is gone.

But I have created a sampledataset that should be be capable of creating the error, if it still exists. | hope it will help.
Greetings

thanks, | will have a lot at it.

#9 - 2017-04-29 12:07 PM - Giovanni Manghi
- Status changed from Feedback to Closed

- Resolution set to worksforme

Tested on 2.18.7, no errors.

Files

qgisTest.zip 1.26 KB 2017-03-09 Mo Scott
